#include <bits/stdc++.h>
using namespace std;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	int n, l;
	cin >> n >> l;
	int ans = -1;
	for (int i = 1; i <= n; i++) {
		int h;
		cin >> h;
		if (h <= l) {
			ans = i;
			break;
		}
	}
	cout << ans << endl;


	return 0;
}